Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class RemoteMethodInvocation

    java.lang.Object
      org.jboss.remoting.RemoteMethodInvocation

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ClassRequiredMethodInvocation

public class RemoteMethodInvocation
extends Object
implements Serializable

RemoteMethodInvocation is a serialized object that contains the remote method, arguments, signature and associated data necessary for a remote ServerInvoker to transport an invocation.

Version:
  $Revision: 1.7 $
Author:
  Jeff Haynie
See Also:
  Serialized Form

Constructor Summary
`RemoteMethodInvocation(String sessionId, String subsystem, Object arg, Map payload, InvokerLocator locator)`

Method Summary
`ClassBytes[]` | `getClassBytes()`
`InvokerLocator` | `getLocator()` return the locator (client) that invoked this method (on server)
`ClassBytes` | `getParameter()`
`Map` | `getPayload()`
`String` | `getSessionId()`
`String` | `getSubsystem()`
`byte[]` | `serialize()`
`void` | `setClassBytes(ClassBytes[] bytes)`
`void` | `setPayload(Map payload)`
`void` | `setSubsystem(String sub)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteMethodInvocation

    public RemoteMethodInvocation(String sessionId,
                                  String subsystem,
                                  Object arg,
                                  Map payload,
                                  InvokerLocator locator)
                           throws IOException

Method Detail

### getSubsystem

    public String getSubsystem()

### setSubsystem

    public void setSubsystem(String sub)

### toString

    public String toString()

### getSessionId

    public String getSessionId()

### getParameter

    public ClassBytes getParameter()

### getPayload

    public Map getPayload()

### setPayload

    public void setPayload(Map payload)

### setClassBytes

    public void setClassBytes(ClassBytes[] bytes)

### getLocator

    public InvokerLocator getLocator()

  return the locator (client) that invoked this method (on server)

  Returns:

### getClassBytes

    public ClassBytes[] getClassBytes()

### serialize

    public byte[] serialize()
                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.